<!DOCTYPE html><html class="default" lang="en"><head><meta charSet="utf-8"/><meta http-equiv="x-ua-compatible" content="IE=edge"/><title>Segen des Tages API</title><meta name="description" content="Documentation for Segen des Tages API"/><meta name="viewport" content="width=device-width, initial-scale=1"/><link rel="stylesheet" href="assets/style.css"/><link rel="stylesheet" href="assets/highlight.css"/><script defer src="assets/main.js"></script><script async src="assets/icons.js" id="tsd-icons-script"></script><script async src="assets/search.js" id="tsd-search-script"></script><script async src="assets/navigation.js" id="tsd-nav-script"></script></head><body><script>document.documentElement.dataset.theme = localStorage.getItem("tsd-theme") || "os";document.body.style.display="none";setTimeout(() => app?app.showPage():document.body.style.removeProperty("display"),500)</script><header class="tsd-page-toolbar"><div class="tsd-toolbar-contents container"><div class="table-cell" id="tsd-search" data-base="."><div class="field"><label for="tsd-search-field" class="tsd-widget tsd-toolbar-icon search no-caption"><svg width="16" height="16" viewBox="0 0 16 16" fill="none"><use href="assets/icons.svg#icon-search"></use></svg></label><input type="text" id="tsd-search-field" aria-label="Search"/></div><div class="field"><div id="tsd-toolbar-links"></div></div><ul class="results"><li class="state loading">Preparing search index...</li><li class="state failure">The search index is not available</li></ul><a href="index.html" class="title">Segen des Tages API</a></div><div class="table-cell" id="tsd-widgets"><a href="#" class="tsd-widget tsd-toolbar-icon menu no-caption" data-toggle="menu" aria-label="Menu"><svg width="16" height="16" viewBox="0 0 16 16" fill="none"><use href="assets/icons.svg#icon-menu"></use></svg></a></div></div></header><div class="container container-main"><div class="col-content"><div class="tsd-page-title"><h2>Segen des Tages API</h2></div><div class="tsd-panel tsd-typography"><p><img src="https://img.shields.io/github/package-json/v/segen-des-tages/api" alt="GitHub package.json version">
<img src="https://img.shields.io/discord/1212765882065883136" alt="Discord">
<img src="https://img.shields.io/github/license/segen-des-tages/api" alt="GitHub License">
<img src="https://img.shields.io/github/last-commit/segen-des-tages/api" alt="GitHub last commit">
<img src="https://github.com/Segen-des-Tages/api/actions/workflows/docker-publlsh.yml/badge.svg" alt="build status docker">
<img src="https://github.com/Segen-des-Tages/api/actions/workflows/server-deploy.yml/badge.svg" alt="build status server">
<img src="https://img.shields.io/github/issues-raw/segen-des-tages/api" alt="GitHub issues">
<a href="https://codecov.io/gh/Segen-des-Tages/api"><img src="https://codecov.io/gh/Segen-des-Tages/api/graph/badge.svg?token=F2SZDSVU9K" alt="codecov"></a></p>
<a id="md:segen-des-tages--api" class="tsd-anchor"></a><h1><a href="#md:segen-des-tages--api">Segen-des-Tages / API</a></h1><p>A Simple REST-API to get blessings of the day, the calendar or all blessings</p>
<a id="md:installation" class="tsd-anchor"></a><h2><a href="#md:installation">Installation</a></h2><p>There are several ways to install the API. The recommended method is to use Docker, but you can also install it manually or just use the version deployed on <a href="https://api.segen-des.tages.de">https://api.segen-des.tages.de</a>.</p>
<a id="md:docker--podman" class="tsd-anchor"></a><h3><a href="#md:docker--podman">Docker / Podman</a></h3><ol>
<li>Install Docker or Podman</li>
<li>Pull the database image from the registry: <code>docker pull ghcr.io/segen-des-tages/database:latest</code> or <code>podman pull ghcr.io/segen-des-tages/database:latest</code></li>
<li>Pull the image from the registry: <code>docker pull ghcr.io/segen-des-tages/api:latest</code> or <code>podman pull ghcr.io/segen-des-tages/api:latest</code></li>
<li>Run the Images</li>
<li>Database: <code>docker run -p 3306:3306 ghcr.io/segen-des-tages/database:latest</code> or <code>podman run -p 3306:3306 ghcr.io/segen-des-tages/database:latest</code></li>
<li>API: <code>docker run -p 3000:3000 ghcr.io/segen-des-tages/api:latest</code> or <code>podman run -p 3000:3000 ghcr.io/segen-des-tages/api:latest</code></li>
</ol>
<a id="md:manual-installation" class="tsd-anchor"></a><h3><a href="#md:manual-installation">Manual Installation</a></h3><ol>
<li>Install node.js and npm</li>
<li>Clone the repository: <code>git clone https://github.com/Segen-des-Tages/api.git</code></li>
<li>Install the dependencies: <code>npm install</code></li>
<li>Run the API: <code>npm run serve</code></li>
<li>Direct your browser to <code>http://localhost:3000/</code></li>
</ol>
<a id="md:usage" class="tsd-anchor"></a><h2><a href="#md:usage">Usage</a></h2><p>The easiest way to use the API is to use the Swagger UI at <code>http://localhost:3000/_api</code> or <code>https://api.segen-des-tages.de/_api</code>.</p>
<a id="md:contributing" class="tsd-anchor"></a><h2><a href="#md:contributing">Contributing</a></h2><p>We appreciate and welcome contributions from the community to enhance the features and overall quality of Segen des Tages. Whether you&#39;re a developer, tester, or enthusiastic user, there are several ways you can contribute:</p>
<a id="md:creating-issues" class="tsd-anchor"></a><h3><a href="#md:creating-issues">Creating Issues</a></h3><p>If you encounter a bug, have a feature request, or want to suggest improvements, please <a href="https://github.com/Segen-des-Tages/api/issues/new">create an issue</a> on our Github repository. When creating an issue, provide detailed information about the problem or enhancement you&#39;re addressing. This includes steps to reproduce the issue and any relevant context that can help our team understand and address it effectively.</p>
<a id="md:pull-requests" class="tsd-anchor"></a><h3><a href="#md:pull-requests">Pull Requests</a></h3><p>If you&#39;d like to contribute code, documentation, or fixes, we encourage you to submit a pull request. Before creating a pull request, please:</p>
<ol>
<li>Fork the repository.</li>
<li>Create a new branch for your changes.</li>
<li>Make your modifications, ensuring adherence to our coding standards.</li>
<li>Write tests for new features or modifications.</li>
<li>Ensure all tests pass.</li>
<li>Submit a pull request to the <code>main</code> branch of the repository.</li>
</ol>
<p>We&#39;ll review your pull request, provide feedback, and work with you to ensure that your contribution aligns with the project&#39;s goals and standards.</p>
<a id="md:tech-stack" class="tsd-anchor"></a><h2><a href="#md:tech-stack">Tech Stack</a></h2><p>segen-des-tages/api is built on the following main stack:</p>
<ul>
<li><img width='25' height='25' src='https://img.stackshare.io/service/1612/bynNY5dJ.jpg' alt='TypeScript'/> <a href="http://www.typescriptlang.org">TypeScript</a> – Languages</li>
<li><img width='25' height='25' src='https://img.stackshare.io/service/1209/javascript.jpeg' alt='JavaScript'/> <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript">JavaScript</a> – Languages</li>
<li><img width='25' height='25' src='https://img.stackshare.io/service/1163/hashtag.png' alt='ExpressJS'/> <a href="http://expressjs.com/">ExpressJS</a> – Microframeworks (Backend)</li>
<li><img width='25' height='25' src='https://img.stackshare.io/service/1011/n1JRsFeB_400x400.png' alt='Node.js'/> <a href="http://nodejs.org/">Node.js</a> – Frameworks (Full Stack)</li>
<li><img width='25' height='25' src='https://img.stackshare.io/service/2416/default_274ed9bcc98502018f007cfcd8c09f3514d3d319.png' alt='Cron'/> <a href="https://directory.fsf.org/wiki/Cron">Cron</a> – Background Processing</li>
<li><img width='25' height='25' src='https://img.stackshare.io/service/1025/logo-mysql-170x170.png' alt='MySQL'/> <a href="http://www.mysql.com">MySQL</a> – Databases</li>
<li><img width='25' height='25' src='https://img.stackshare.io/service/586/n4u37v9t_400x400.png' alt='Docker'/> <a href="https://www.docker.com/">Docker</a> – Virtual Machine Platforms &amp; Containers</li>
<li><img width='25' height='25' src='https://img.stackshare.io/service/3337/Q4L7Jncy.jpg' alt='ESLint'/> <a href="http://eslint.org/">ESLint</a> – Code Review</li>
<li><img width='25' height='25' src='https://img.stackshare.io/service/11563/actions.png' alt='GitHub Actions'/> <a href="https://github.com/features/actions">GitHub Actions</a> – Continuous Integration</li>
<li><img width='25' height='25' src='https://img.stackshare.io/service/830/jest.png' alt='Jest'/> <a href="http://facebook.github.io/jest/">Jest</a> – Javascript Testing Framework</li>
<li><img width='25' height='25' src='https://img.stackshare.io/no-img-open-source.png' alt='SuperTest'/> <a href="https://www.npmjs.com/package/supertest">SuperTest</a> – Javascript Testing Framework</li>
<li><img width='25' height='25' src='https://img.stackshare.io/service/4631/default_c2062d40130562bdc836c13dbca02d318205a962.png' alt='Shell'/> <a href="https://en.wikipedia.org/wiki/Shell_script">Shell</a> – Shells</li>
</ul>
<p>Full tech stack <a href="/techstack.md">here</a></p>
<a id="md:license" class="tsd-anchor"></a><h2><a href="#md:license">License</a></h2><p>Segen des Tages API is licensed under the <a href="LICENSE.md">MIT License</a>. Feel free to use, modify, and distribute it according to your needs.</p>
<a id="md:authors" class="tsd-anchor"></a><h2><a href="#md:authors">Authors</a></h2><ul>
<li><strong><a href="https://github.com/DSigmund">Dominik Sigmund</a></strong> - Lead Designer and Developer</li>
</ul>
<a id="md:acknowledgments" class="tsd-anchor"></a><h2><a href="#md:acknowledgments">Acknowledgments</a></h2><p>We appreciate the collaborative efforts that have contributed to the success of Segen des Tages API. We&#39;d like to thank the following individuals and organizations for their support and contributions:</p>
<ul>
<li>(none yet, but you could be the first!)</li>
</ul>
<a id="md:support" class="tsd-anchor"></a><h2><a href="#md:support">Support</a></h2><p>If you can&#39;t find a solution to your issue in the documentation, feel free to reach out to us for assistance. We offer support through the following channels:</p>
<ul>
<li><p><strong>Discord:</strong> Join our <a href="https://discord.gg/5qXGRWUy">Discord server</a> to connect with the community and get help from the Segen-des-Tages team.</p>
</li>
<li><p><strong>Email:</strong> For non-urgent matters or if you prefer email communication, you can reach us at <a href="mailto:api@segen-des-tages.de">api@segen-des-tages.de</a>. Please provide detailed information about your issue so that we can assist you more effectively.</p>
</li>
</ul>
<a id="md:important-note" class="tsd-anchor"></a><h2><a href="#md:important-note">Important Note</a></h2><p>When seeking support, make sure to include the following information in your message:</p>
<ol>
<li>A detailed description of the issue you&#39;re facing.</li>
<li>Steps to reproduce the problem (if applicable).</li>
<li>Relevant configuration details.</li>
<li>Any error messages or logs related to the issue.</li>
</ol>
<p>This information will help us understand your situation better and provide a more accurate and timely response.</p>
<p>Thank you for choosing Segen des Tages!! We&#39;re committed to ensuring you have a positive experience, and we appreciate your cooperation in following these support guidelines.</p>
</div></div><div class="col-sidebar"><div class="page-menu"><div class="tsd-navigation settings"><details class="tsd-index-accordion"><summary class="tsd-accordion-summary"><h3><svg width="20" height="20" viewBox="0 0 24 24" fill="none"><use href="assets/icons.svg#icon-chevronDown"></use></svg>Settings</h3></summary><div class="tsd-accordion-details"><div class="tsd-filter-visibility"><h4 class="uppercase">Member Visibility</h4><form><ul id="tsd-filter-options"><li class="tsd-filter-item"><label class="tsd-filter-input"><input type="checkbox" id="tsd-filter-protected" name="protected"/><svg width="32" height="32" viewBox="0 0 32 32" aria-hidden="true"><rect class="tsd-checkbox-background" width="30" height="30" x="1" y="1" rx="6" fill="none"></rect><path class="tsd-checkbox-checkmark" d="M8.35422 16.8214L13.2143 21.75L24.6458 10.25" stroke="none" stroke-width="3.5" stroke-linejoin="round" fill="none"></path></svg><span>Protected</span></label></li><li class="tsd-filter-item"><label class="tsd-filter-input"><input type="checkbox" id="tsd-filter-private" name="private"/><svg width="32" height="32" viewBox="0 0 32 32" aria-hidden="true"><rect class="tsd-checkbox-background" width="30" height="30" x="1" y="1" rx="6" fill="none"></rect><path class="tsd-checkbox-checkmark" d="M8.35422 16.8214L13.2143 21.75L24.6458 10.25" stroke="none" stroke-width="3.5" stroke-linejoin="round" fill="none"></path></svg><span>Private</span></label></li><li class="tsd-filter-item"><label class="tsd-filter-input"><input type="checkbox" id="tsd-filter-inherited" name="inherited" checked/><svg width="32" height="32" viewBox="0 0 32 32" aria-hidden="true"><rect class="tsd-checkbox-background" width="30" height="30" x="1" y="1" rx="6" fill="none"></rect><path class="tsd-checkbox-checkmark" d="M8.35422 16.8214L13.2143 21.75L24.6458 10.25" stroke="none" stroke-width="3.5" stroke-linejoin="round" fill="none"></path></svg><span>Inherited</span></label></li><li class="tsd-filter-item"><label class="tsd-filter-input"><input type="checkbox" id="tsd-filter-external" name="external"/><svg width="32" height="32" viewBox="0 0 32 32" aria-hidden="true"><rect class="tsd-checkbox-background" width="30" height="30" x="1" y="1" rx="6" fill="none"></rect><path class="tsd-checkbox-checkmark" d="M8.35422 16.8214L13.2143 21.75L24.6458 10.25" stroke="none" stroke-width="3.5" stroke-linejoin="round" fill="none"></path></svg><span>External</span></label></li></ul></form></div><div class="tsd-theme-toggle"><h4 class="uppercase">Theme</h4><select id="tsd-theme"><option value="os">OS</option><option value="light">Light</option><option value="dark">Dark</option></select></div></div></details></div><details open class="tsd-index-accordion tsd-page-navigation"><summary class="tsd-accordion-summary"><h3><svg width="20" height="20" viewBox="0 0 24 24" fill="none"><use href="assets/icons.svg#icon-chevronDown"></use></svg>On This Page</h3></summary><div class="tsd-accordion-details"><a href="#md:segen-des-tages--api"><span>Segen-<wbr/>des-<wbr/>Tages / API</span></a><ul><li><a href="#md:installation"><span>Installation</span></a></li><li><ul><li><a href="#md:docker--podman"><span>Docker / <wbr/>Podman</span></a></li><li><a href="#md:manual-installation"><span>Manual <wbr/>Installation</span></a></li></ul></li><li><a href="#md:usage"><span>Usage</span></a></li><li><a href="#md:contributing"><span>Contributing</span></a></li><li><ul><li><a href="#md:creating-issues"><span>Creating <wbr/>Issues</span></a></li><li><a href="#md:pull-requests"><span>Pull <wbr/>Requests</span></a></li></ul></li><li><a href="#md:tech-stack"><span>Tech <wbr/>Stack</span></a></li><li><a href="#md:license"><span>License</span></a></li><li><a href="#md:authors"><span>Authors</span></a></li><li><a href="#md:acknowledgments"><span>Acknowledgments</span></a></li><li><a href="#md:support"><span>Support</span></a></li><li><a href="#md:important-note"><span>Important <wbr/>Note</span></a></li></ul></div></details></div><div class="site-menu"><nav class="tsd-navigation"><a href="index.html" class="current"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="assets/icons.svg#icon-1"></use></svg><span>Segen des Tages API</span></a><ul class="tsd-small-nested-navigation" id="tsd-nav-container" data-base="."><li>Loading...</li></ul></nav></div></div></div><div class="tsd-generator"><p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p></div><div class="overlay"></div></body></html>